Subject: Spooling still a problem with netatalk

From: Dave Scheltema <[email-masked]>
Date: Fri, 12 May 2000 00:34:23 -0400

Hello again-
	I tried to setup my Laser writer Select 360 and used the advice that I
got from a helpful member of the list; however, something is still
wrong.  I think I will take the advice of the same member and show all
what my printcap looks like and all files that might have any relevance
to this issue.  I decided that I would attach these files so that it
would be easier to see them.
	Now when I try to print from a mac to this netatalk server (running on
linux) I get the following errors in /var/log/messages this is different
than the error that I had before so something must be going well :OP :

papd[21458]: child 21895 for "Apple Laser test" from 64.15
papd[21895]: getppdent: line too long
papd[21895]: getppdent: line too long
papd[21458]: child 21895 done

Once again I have little idea what and why this is not working so expert
advice would be greatly appreciated.  Thanks again.
Dave Scheltema

#
# Copyright (c) 1983 Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms are permitted
# provided that this notice is preserved and that due credit is given
# to the University of California at Berkeley. The name of the University
# may not be used to endorse or promote products derived from this
# software without specific prior written permission. This software
# is provided ``as is'' without express or implied warranty.
#
#	@(#)etc.printcap	5.2 (Berkeley) 5/5/88
#
### BEGIN apsfilter: ### PS_300dpi letter mono 300 ###
#   Warning: Configured for apsfilter, do not edit the labels!
#            apsfilter setup Thu May 11 01:12:19 EDT 2000
#
ascii|lp2|PS_300dpi-letter-ascii-mono-300|PS_300dpi letter ascii mono 300:\
	:lp=/dev/lp0:\
	:sd=/var/spool/lpd/PS_300dpi-letter-ascii-mono-300:\
	:lf=/var/spool/lpd/PS_300dpi-letter-ascii-mono-300/log:\
	:af=/var/spool/lpd/PS_300dpi-letter-ascii-mono-300/acct:\
	:if=/var/lib/apsfilter/bin/PS_300dpi-letter-ascii-mono-300:\
	:la@:mx#0:\
	:tr=:cl:sh:sf:
#
lp|lp3|PS_300dpi-letter-auto-mono-300|PS_300dpi letter auto mono 300:\
	:lp=/dev/lp0:\
	:sd=/var/spool/lpd/PS_300dpi-letter-auto-mono-300:\
	:lf=/var/spool/lpd/PS_300dpi-letter-auto-mono-300/log:\
	:af=/var/spool/lpd/PS_300dpi-letter-auto-mono-300/acct:\
	:if=/var/lib/apsfilter/bin/PS_300dpi-letter-auto-mono-300:\
	:la@:mx#0:\
	:tr=:cl:sh:sf:
#
raw|lp4|PS_300dpi-letter-raw|PS_300dpi letter raw:\
	:lp=/dev/lp0:\
	:sd=/var/spool/lpd/PS_300dpi-letter-raw:\
	:lf=/var/spool/lpd/PS_300dpi-letter-raw/log:\
	:af=/var/spool/lpd/PS_300dpi-letter-raw/acct:\
	:if=/var/lib/apsfilter/bin/PS_300dpi-letter-raw:\
	:la@:mx#0:\
	:tr=:cl:sh:sf:
#
### END   apsfilter: ### PS_300dpi letter mono 300 ###
# Attributes are:
#
#	Name Type Default	Description
#	pd   str  ".ppd"	Pathname to ppd file.
#	pr   str  "lp"		LPD printer name.
#	op   str  "operator"	Operator name, for LPD spooling.
#
# Some examples:
#
#	On many systems (notably not Solaris), no papd.conf is required,
#	since papd shares the same defaults as lpd.
#
#	A simple example:
#
#		terminator:\
#			:pr=lp:op=wes:\
#			:pd=/usr/share/lib/ppd/HPLJ_4M.PPD:
#
Apple Laser test:\
       :pr=|lpr -Plp:\
       :op=root:\
       :pd=/var/ppd/Laser_Writer_Select_360.PPD:

#	Note also that papd.conf can list several printers.